<template>
    <j-modal
            :title="title"
            :width="width"
            :visible="visible"
            switchFullscreen
            @ok="handleOk"
            :okButtonProps="{ class:{'jee-hidden': disableSubmit} }"
            @cancel="handleCancel"
            cancelText="关闭">
        <door-lock-batch-form ref="realBatchForm" @ok="submitCallback" :disabled="disableSubmit"></door-lock-batch-form>
    </j-modal>
</template>

<script>

    import DoorLockBatchForm from "./doorLockBatchForm";
    export default {
        name: 'doorLockBatchModal',
        components: {
            DoorLockBatchForm,
        },
        data () {
            return {
                title:'',
                width:800,
                visible: false,
                disableSubmit: false
            }
        },
        methods: {
            add () {
                this.visible=true
                console.log(this.$refs.realBatchForm)
                this.$nextTick(()=>{
                    this.$refs.realBatchForm.add();
                })
            },
            edit (record) {
                this.visible=true
                this.$nextTick(()=>{
                    this.$refs.realBatchForm.edit(record);
                })
            },
            close () {
                this.$emit('close');
                this.visible = false;
            },
            handleOk () {
                this.$refs.realBatchForm.submitForm();
            },
            submitCallback(){
                this.$emit('ok');
                this.visible = false;
            },
            handleCancel () {
                this.close()
            }
        }
    }
</script>
